Bug 145979 - Changing Preferences does not save time zone properly
Summary: Changing Preferences does not save time zone properly
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D (Show other bugs)
(Show other bugs)
Version: RHN Devel
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ken Ganong
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: rhnMilestone1
TreeView+ depends on / blocked
 
Reported: 2005-01-24 14:30 UTC by Ken Ganong
Modified: 2007-04-18 17:18 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 18:58:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ken Ganong 2005-01-24 14:30:51 UTC
Description of problem:
Your Preferences-java populates fields incorrectly after saving.

Steps to Reproduce:
1. log-in and go to Your Preferences-java
2. change the timezone (I used +0430)
3. save changes
  

Additional info:
On additional attempts to save changes to timezone, it will save a
different incorrect time zone.

Comment 1 Ken Ganong 2005-02-01 18:58:25 UTC
The Perl side was saving the timezones based on ID whereas java was
saving them by offset.  Therefore they did not communicate and for
some reason the java wasn't working consistently.  Now the java saves
a timezone object.


Note You need to log in before you can comment on or make changes to this bug.